Get toolset
curl --request GET \
--url https://api.engini.io/v1/toolsets/{toolsetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engini.io/v1/toolsets/{toolsetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/toolsets/{toolsetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"toolsetId": "<string>",
"name": "<string>",
"connections": [
{
"connectionId": 123,
"applicationSlug": "<string>",
"toolSlugs": [
"<string>"
],
"applicationName": "<string>"
}
],
"workflows": [
"<string>"
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"createdByAccountUserId": 123,
"updatedByAccountUserId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Toolsets
Get toolset
Get a single toolset owned by the caller, identified by its id.
GET
/
v1
/
toolsets
/
{toolsetId}
Get toolset
Authorizations
BearerApiKey
Enter your JWT token
Path Parameters
The identifier of the toolset to retrieve.
Response
The requested toolset.
Public-shape DTO for a toolset (per-account-user, named scope bundling specific connections + an allowed tool set). See toolsets-and-connections-spec.md.
Unique identifier of the toolset (the MCPServer token GUID).
Display name of the toolset.
Connections included in this toolset and their permitted tools.
Show child attributes
Show child attributes
Workflow token GUIDs included in this toolset.
When the toolset was created.
When the toolset was last updated; null if never updated.
Account-user ID that created the toolset.
Account-user ID that last updated the toolset; null/0 until first updated.
⌘I